Subject: Re: [Enum] Fwd: [Sipping] I-D ACTION:draft-ietf-sipping-e164-03.t xt

From: Marian Durkovic <[email-masked]>
Date: Sun, 6 Jul 2003 10:42:40 +0200

> Major problem: 5.3
>    "Authors of
>    records intended to be used for SIP applications SHOULD always use a
>    greedy regexp; no use-cases have been identified today in which a
>    different antecedent is necessary."
> 
> I strongly object this.
> First, the use of regular expessions is a feature in ENUM and DDDS,
> second, there are use cases (e.g. in wildcards) and
> third, if there is no-use cases, why is are regular 
> expression there in
> the first place?

Hi all,

   we're heavily using the wildcards in Slovak ENUM trial for pointing all the
numbers behind a PBX to the VoIP gateway attached to this PBX. Here is the
example:

   the PBX prefix +421-55555-xxx  (number not real) 

The DNS:

$ORIGIN 5.5.5.5.5.1.2.4.e164.arpa.
* IN  NAPTR   100 10 "u" "E2U+sip" "!^\\+42155555(.*)$!sip:1\\[email-masked]!" .

Thus when one calls +421-55555-777 the above rule replaces it with
sip:[email-masked]

  I really refuse to put 1000 NAPTR records into DNS just to get the same
functionality. If someone wants to arrange things in a different way,
the exact NAPTR record can still be put into DNS and it overrides the
wildcard one.

  I've seen similar examples in Swedish ENUM trial, so I fully support the 
objection against the requirement for greedy regexpr.

	With kind regards,

		M.

--------------------------------------------------------------------------
----                                                                  ----
----   Marian Durkovic                       network  manager         ----
----                                                                  ----
----   Slovak Technical University           Tel: +421 2 524 51 301   ----
----   Computer Centre, Nam. Slobody 17      Fax: +421 2 524 94 351   ----
----   812 43 Bratislava, Slovak Republic    E-mail: [email-masked]        ----
----                                                                  ----
--------------------------------------------------------------------------

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Marian Durkovic <[email-masked]>
Date: Sun, 6 Jul 2003 18:10:04 +0200

On Sun, Jul 06, 2003 at 03:01:42PM +0200, Patrik Fältström wrote:
> Can we please keep the discussions about the wildcard in DNS separate  
> from the regular expression in NAPTR as separate as possible?
> 
>      paf

I don't think this is fully possible. If you want to use wildcard in DNS,
you must use non-greedy regular expression with a subpattern ( ) to extract
and reuse the digits matched by the wildcard:

    With kind regards,

         M.

---

From: "Conroy, Lawrence (SMTP)" <[email-masked]>
Date: Sun, 6 Jul 2003 23:16:20 +0100

At 6:31 pm +0200 6/7/03, Patrik Fältström wrote:
>On söndag, jul 6, 2003, at 18:10 Europe/Stockholm, Marian Durkovic wrote:
>
>Yes, you are absolutely correct. And one can say dependencies exists 
>in the other direction as well.
>
>BUT, today I still see a large number of arguments (especially when 
>looking at DNSSEC) from a pure DNS perspective to _not_ use 
>wildcards in DNS.
>
>My point is that that is not enough as an argument for removing the 
>regular expression in the NAPTR for ENUM. It is needed anyway, and I 
>gave an example.
>
>You say you don't want a million NAPTR records in your DNS server, 
>and I can understand that given the most common provisioning 
>mechanisms which exists.
>
>The IETF do though concentrate on what goes on the wire between 
>hosts, and not so much of how things are inside the host itself.
>
>I.e. you might have some DNS software that you can configure given 
>some kind of wildcard, BUT, it will not be a wildcard from a DNS 
>perspective. That is a very very big difference. The wildcard in DNS 
>have many side effects -- most of them today felt being negative.
>
>     paf
>

Hi Patrik, Marian, folks,
   I'll have one more try.
I *did* reset the thread name. Folk must have missed the "Use of 
Wildcards in ENUM";
this topic is not specific to using ENUM in sip, but...Hey ho.

Re. DNS Wildcards - these can exist and can be used, albeit they are dangerous.
What goes over the wire should be a standard DNS response message *as if the
DNS request* had matched the query domain as requested, with several 
big gotchas
to make life interesting.

Using a DNS Wildcard is NOT the same as provisioning a whole raft of similar
entries into the DNS server using some sensible software, IMHO; the effect may
be the same, or may not, depending on other entries - that's one reason why DNS
wildcards are risky.

Listing the caveats in DNS wildcard use for ENUM seems like a good idea to me,
as, at first, they look like they are very useful. This means that there WILL
be these in ENUM DNS server configurations, so at least a "here's some hints
on detecting and debugging problems with these" would be useful.

Yes, it's a standard DNS issue and should be in the FAQ, but they look like
a natural for ENUM with number ranges being reflected as sub-domains, so I
suspect they WILL be an issue that ENUM folk will hit more than most.

BTW, I will have a range that directs to an attendant, and so could be done
with a DNS wildcard *without* a non-greedy regexp - these ARE separable issues.

all the best,
   Lawrence
-- 
-----------------------------------------------------------------------
Roke Manor Research    : This information is provided "as is" and is not
<mailto:[email-masked]>: intended to create any contractual or legal
<tel:+441794833666>    : relationship.

---

From: Patrik Fältström <[email-masked]>
Date: Sun, 6 Jul 2003 15:01:42 +0200

paf

On söndag, jul 6, 2003, at 10:42 Europe/Stockholm, Marian Durkovic  
wrote:

> ---
> ----                                                                   
> ----
> ----                                                                   
> ----
> ----                                                                   
> ----
> ---
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum
>

---

From: Patrik Fältström <[email-masked]>
Date: Sun, 6 Jul 2003 18:31:48 +0200

On söndag, jul 6, 2003, at 18:10 Europe/Stockholm, Marian Durkovic 

> "!^\\+42155555(.*)$!sip:1\\[email-masked]!" .

Yes, you are absolutely correct. And one can say dependencies exists in 
the other direction as well.

BUT, today I still see a large number of arguments (especially when 
looking at DNSSEC) from a pure DNS perspective to _not_ use wildcards 
in DNS.

You say you don't want a million NAPTR records in your DNS server, and 
I can understand that given the most common provisioning mechanisms 
which exists.

The IETF do though concentrate on what goes on the wire between hosts, 
and not so much of how things are inside the host itself.

I.e. you might have some DNS software that you can configure given some 
kind of wildcard, BUT, it will not be a wildcard from a DNS 
perspective. That is a very very big difference. The wildcard in DNS 
have many side effects -- most of them today felt being negative.

     paf